One time the glass was broken, and what followed
GET
/console/break-glass/{id}
const url = 'https://example.com/console/break-glass/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/console/break-glass/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --cookie bottle.session_token=<bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”The use and its timeline
Media typeapplication/json
object
use
required
object
id
required
UUID v7
string format: uuid
at
required
string format: date-time
staffUserId
required
string | null
staffName
required
string | null
tenantId
required
UUID v7
string | null format: uuid
tenantName
required
string | null
targetUserId
required
string | null
targetName
required
string | null
reason
required
string | null
reviewedAt
required
string | null format: date-time
reviewedByName
required
string | null
reviewNote
required
string | null
viewed
required
integer
acted
required
integer
timeline
required
Array<object>
object
at
required
string format: date-time
kind
required
string
who
required
string | null
detail
required
string | null
Example
{ "use": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "tenantId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not Bottle staff, no two-step sign-in, or a console role too low for this
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}